org.apache.commons.jelly.tags.core

## Class IncludeTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.core.IncludeTag

All Implemented Interfaces:
  Tag

    public class IncludeTag
    extends TagSupport

A tag which conditionally evaluates its body based on some condition

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`IncludeTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`File` `getFile()`
`boolean` `isExport()`
`boolean` `isInherit()`
`void` `setExport(String export)`
`void` `setFile(File file)` Sets the file to be included which is either an absolute file or a file relative to the current directory
`void` `setInherit(String inherit)`
`void` `setUri(String uri)` Sets the URI (relative URI or absolute URL) for the script to evaluate.

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IncludeTag

    public IncludeTag()

### Method Detail

#### setInherit

    public void setInherit(String inherit)

#### setExport

    public void setExport(String export)

#### isInherit

    public boolean isInherit()

#### isExport

    public boolean isExport()

#### getFile

    public File getFile()

Returns:

#### setFile

    public void setFile(File file)

Sets the file to be included which is either an absolute file or a file relative to the current directory

#### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `MissingAttributeException`
  `JellyTagException`

#### setUri

    public void setUri(String uri)

Sets the URI (relative URI or absolute URL) for the script to evaluate.